#ifndef _CD_GDIPLUS_
#define _CD_GDIPLUS_

#ifdef __cplusplus
extern "C" {
#endif

#ifdef WIN32
int cdUseContextPlus(int use);
void cdInitGdiPlus(void);
void cdInitGdiPlusIUP(void);
#else
#define cdUseContextPlus(x) (x)
#define cdInitGdiPlus() (0)
#define cdInitGdiPlusIUP() (0)
#endif

/* Windows GDI+ Adicional Polygons */
#define CD_BEZIER       (CD_POLYCUSTOM+0)
#define CD_FILLSPLINE   (CD_POLYCUSTOM+1)
#define CD_IMAGEWARP    (CD_POLYCUSTOM+2)
#define CD_GRADIENT     (CD_POLYCUSTOM+3)
#define CD_PATHGRADIENT (CD_POLYCUSTOM+4)

#ifdef __cplusplus
}
#endif

#endif /* ifndef _CD_GDIPLUS_ */

